org.apache.storm.daemon.metrics

## Class BuiltinBoltMetrics

- java.lang.Object
- - org.apache.storm.daemon.metrics.BuiltinMetrics
  - - org.apache.storm.daemon.metrics.BuiltinBoltMetrics

-     public class BuiltinBoltMetrics
      extends BuiltinMetrics

- - ### Field Summary

    - ### Fields inherited from class org.apache.storm.daemon.metrics.BuiltinMetrics

      `metricMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BuiltinBoltMetrics(BoltExecutorStats stats)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiCountStatAndMetric` | `getAckCount()`
    `MultiCountStatAndMetric` | `getEmitCount()`
    `MultiCountStatAndMetric` | `getExecuteCount()`
    `MultiLatencyStatAndMetric` | `getExecuteLatency()`
    `MultiCountStatAndMetric` | `getFailCount()`
    `MultiLatencyStatAndMetric` | `getProcessLatency()`
    `MultiCountStatAndMetric` | `getTransferCount()`

    - ### Methods inherited from class org.apache.storm.daemon.metrics.BuiltinMetrics

      `registerAll`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BuiltinBoltMetrics

          public BuiltinBoltMetrics(BoltExecutorStats stats)

  - ### Method Detail

    - #### getAckCount

          public MultiCountStatAndMetric getAckCount()

    - #### getFailCount

          public MultiCountStatAndMetric getFailCount()

    - #### getEmitCount

          public MultiCountStatAndMetric getEmitCount()

    - #### getTransferCount

          public MultiCountStatAndMetric getTransferCount()

    - #### getExecuteCount

          public MultiCountStatAndMetric getExecuteCount()

    - #### getExecuteLatency

          public MultiLatencyStatAndMetric getExecuteLatency()

    - #### getProcessLatency

          public MultiLatencyStatAndMetric getProcessLatency()

Copyright © 2019 The Apache Software Foundation. All rights reserved.